[arch-commits] Commit in python-twisted/repos/extra-any (PKGBUILD PKGBUILD)
Felix Yan
felixonmars at gemini.archlinux.org
Mon Sep 5 20:14:03 UTC 2022
Date: Monday, September 5, 2022 @ 20:14:02
Author: felixonmars
Revision: 455092
archrelease: copy trunk to extra-any
Added:
python-twisted/repos/extra-any/PKGBUILD
(from rev 455091, python-twisted/trunk/PKGBUILD)
Deleted:
python-twisted/repos/extra-any/PKGBUILD
----------+
PKGBUILD | 104 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 52 insertions(+), 52 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2022-09-05 20:13:46 UTC (rev 455091)
+++ PKGBUILD 2022-09-05 20:14:02 UTC (rev 455092)
@@ -1,52 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-# Contributor: Juergen Hoetzel <juergen at archlinux.org>
-# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
-
-pkgname=python-twisted
-pkgver=22.1.0
-pkgrel=1
-pkgdesc="Asynchronous networking framework written in Python"
-arch=('any')
-url="https://twistedmatrix.com/"
-license=('MIT')
-depends=('python-zope-interface' 'python-constantly' 'python-incremental' 'python-automat'
- 'python-hyperlink' 'python-attrs' 'python-typing_extensions')
-makedepends=('python-setuptools')
-optdepends=('python-pyopenssl: for TLS client hostname verification'
- 'python-service-identity: for TLS client hostname verification'
- 'python-idna: for TLS client hostname verification'
- 'python-cryptography: for using conch'
- 'python-pyasn1: for using conch'
- 'python-appdirs: for using conch'
- 'python-bcrypt: for using conch'
- 'python-h2: for http2 support'
- 'python-priority: for http2 support'
- 'python-pyserial: for serial support'
- 'tk: for using tkconch')
-checkdepends=('python-pyhamcrest' 'subversion' 'xorg-server-xvfb' 'tk' 'openssh' 'git' 'gtk3'
- 'python-gobject' 'python-subunit' 'python-h2' 'python-priority' 'python-cryptography'
- 'python-idna' 'python-pyasn1' 'python-pyserial' 'python-bcrypt'
- 'python-cython-test-exception-raiser' 'python-pyopenssl' 'python-service-identity')
-# Conflicts with the command line tools used to be provided by the python2 package.
-conflicts=("python2-twisted<=20.3.0-3")
-source=("https://github.com/twisted/twisted/archive/twisted-$pkgver.tar.gz")
-sha512sums=('1db52865d00e07044bc755b25bef2fa260cf269a8b51512bec97a015fa484d0b331b41154b52f97b5e8c477d3e5ad1d003f5ac15c7361988d073d097c6e7355d')
-
-build() {
- cd twisted-twisted-$pkgver
- python setup.py build
-}
-
-check() {
- export LC_CTYPE=en_US.UTF-8
-
- # tests use the underlying function from the 'python -m twisted.trial' module, to prevent loading system entry points
- PYTHONPATH="$srcdir/twisted-twisted-$pkgver/build/lib" xvfb-run python -c 'from twisted.scripts.trial import run; run()' twisted || echo "Tests failed"
-}
-
-package() {
- cd twisted-twisted-$pkgver
- python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
- install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
-}
Copied: python-twisted/repos/extra-any/PKGBUILD (from rev 455091, python-twisted/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2022-09-05 20:14:02 UTC (rev 455092)
@@ -0,0 +1,52 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgname=python-twisted
+pkgver=22.2.0
+pkgrel=1
+pkgdesc="Asynchronous networking framework written in Python"
+arch=('any')
+url="https://twistedmatrix.com/"
+license=('MIT')
+depends=('python-zope-interface' 'python-constantly' 'python-incremental' 'python-automat'
+ 'python-hyperlink' 'python-attrs' 'python-typing_extensions')
+makedepends=('python-setuptools')
+optdepends=('python-pyopenssl: for TLS client hostname verification'
+ 'python-service-identity: for TLS client hostname verification'
+ 'python-idna: for TLS client hostname verification'
+ 'python-cryptography: for using conch'
+ 'python-pyasn1: for using conch'
+ 'python-appdirs: for using conch'
+ 'python-bcrypt: for using conch'
+ 'python-h2: for http2 support'
+ 'python-priority: for http2 support'
+ 'python-pyserial: for serial support'
+ 'tk: for using tkconch')
+checkdepends=('python-pyhamcrest' 'subversion' 'xorg-server-xvfb' 'tk' 'openssh' 'git' 'gtk3'
+ 'python-gobject' 'python-subunit' 'python-h2' 'python-priority' 'python-cryptography'
+ 'python-idna' 'python-pyasn1' 'python-pyserial' 'python-bcrypt'
+ 'python-cython-test-exception-raiser' 'python-pyopenssl' 'python-service-identity')
+# Conflicts with the command line tools used to be provided by the python2 package.
+conflicts=("python2-twisted<=20.3.0-3")
+source=("https://github.com/twisted/twisted/archive/twisted-$pkgver.tar.gz")
+sha512sums=('a2f66055f0ea6658a04888316b9eb90bd0f389c72db8315fe1722a70f16bb290805d98acc8cfd8a5d22b4817683603aaea50bb04a204927898bd74fc58a1db6d')
+
+build() {
+ cd twisted-twisted-$pkgver
+ python setup.py build
+}
+
+check() {
+ export LC_CTYPE=en_US.UTF-8
+
+ # tests use the underlying function from the 'python -m twisted.trial' module, to prevent loading system entry points
+ PYTHONPATH="$srcdir/twisted-twisted-$pkgver/build/lib" xvfb-run python -c 'from twisted.scripts.trial import run; run()' twisted || echo "Tests failed"
+}
+
+package() {
+ cd twisted-twisted-$pkgver
+ python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+ install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
+}
More information about the arch-commits
mailing list